Subject: (urth) Long Sun: Silk's vision of "a dead woman in an alley"

From: Zachary Kendal <zackendal at optusnet.com.au>
Date: Tue, 11 May 2010 12:36:10 +0000

Hi all,

I know that everything is very Sorcerer's House focused at the moment (I've still not had a chance to read my copy), but after re-reading The Book of the Long Sun I still have a question that has been bugging me:

Silk is shown many visions in his enlightenments, but there is one that I cannot figure out the significance of. During his initial enlightenment, Silk is shown "a dead woman in an alley off Silver Street, and the people of the quarter." Later he mentions this vision to Doctor Crane, after describing a scene which is undoubtedly the crucifixion of Christ: "There was a dead woman who had been left in an alley, and Patera Pike, and it was all connected, as if they were pieces of something larger." Who is this dead woman, and why is she significant?

Apologies if this question has been discussed and answered before, but I had a quick search through the archives and couldn't find any mention of it.

Thanks!!

Zac

http://silk4calde.blogspot.com/